
Redmine - Defect #36592

Import hangs when "related to" issue could not be created

2022-02-09 12:09 - Harald Deischinger

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.2.3

Description

When importing issues and specifiny a "related to" relationship, the import hangs when the issue refered could not be imported.

See the attached example:

- Issue ID 3 fails to create (missing Subject)

- Issue ID 4 tries to link to issue ID 3 - here the input hangs.

Related issues:

Is duplicate of Redmine - Defect #35656: When importing issue relations, the ... Closed

History

#1 - 2022-02-10 06:18 - Mizuki ISHIKAWA

- File screenshot.png added

I was able to reproduce the problem in my environment.

If the issue relation fails, the following exception will be raised.

F, [2022-02-10T05:14:06.190123 #5628] FATAL -- :   

ActiveRecord::RecordInvalid (Validation failed: Related issue cannot be blank):

 The screen will remain unchanged during the import and you will not be able to notice why it failed.

 screenshot.png 

#2 - 2022-02-13 09:47 - Marius BĂLTEANU

- Is duplicate of Defect #35656: When importing issue relations, the validation messages are not shown in the UI added

#3 - 2022-02-13 09:48 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

Thanks for reporting this defect!

Closing as duplicate of #35656, please watch that issue for updates.

Files

IssueImport.csv 272 Bytes 2022-02-09 Harald Deischinger

screenshot.png 13.7 KB 2022-02-10 Mizuki ISHIKAWA
